import React, { Fragment, useEffect } from 'react';

import { useSelector } from 'react-redux';

import { Drivers, Storage } from '@ionic/storage';
import * as CordovaSQLiteDriver from 'localforage-cordovasqlitedriver';

import Track from './track';

var store: Storage;

const Tracks: React.FC<{}> = () => {
  useEffect(() => {
    store = new Storage({
      driverOrder: [
        CordovaSQLiteDriver._driver,
        Drivers.IndexedDB,
        Drivers.LocalStorage,
      ],
    });
    store
      .defineDriver(CordovaSQLiteDriver)
      .then(() => console.log('CordovaSQLiteDriver registered'));
  }, []);

  const tracks = useSelector((state: { tracks: any }) => state.tracks.tracks);
  return (
    <Fragment>
      {Object.keys(tracks).map((key: any) => (
        <Track key={key} track={tracks[key]} />
      ))}
    </Fragment>
  );
};

export default Tracks;
